HsOpenSSL-0.11.7.9: Partial OpenSSL binding for Haskell

Safe Haskell | None
Language | Haskell2010

OpenSSL.X509.Store

Description

An interface to X.509 certificate store.

Synopsis

- data X509Store
- newX509Store :: IO X509Store
- addCertToStore :: X509Store -> X509 -> IO ()
- addCRLToStore :: X509Store -> CRL -> IO ()

# Documentation

data X509Store Source #

``X509Store`` is an opaque object that represents X.509 certificate store. The certificate store is usually used for chain verification.

newX509Store :: IO X509Store Source #

``newX509Store`` creates an empty X.509 certificate store.

addCertToStore :: X509Store -> X509 -> IO () Source #

``addCertToStore` store cert` adds a certificate to store.

addCRLToStore :: X509Store -> CRL -> IO () Source #

``addCRLToStore` store crl` adds a revocation list to store.